iOS Question B4i v 4.80 problem with local builder

Discussion in 'iOS Questions' started by Pendrush, Jan 16, 2018.

  1. Pendrush

    Pendrush Well-Known Member Licensed User

    - B4iBuildServer.jar is version 4.60. I don't know is error in version number or not.
    With OSX El Capitan v10.11.6 and xCode v8.2.1, I'm not able to compile anything.
    One of many errors (depend of app):
    The same app with same settings are sucessfuly copiled with Hosted Builder.

    As I can see in one of recent post Erel writes about minimum OSX version 10.11.5+.
    The question is: Is it posible to compile anything with my Mac specification or not with latest b4i?
     
    Last edited: Jan 17, 2018
  2. Erel

    Erel Administrator Staff Member Licensed User

    This is the relevant error: framework not found FileProvider for architecture armv7
    It happens when you compile with Xcode 8 and reference a framework compiled with Xcode 9.

    Do you get this error with a project with only iCore refernced?
     
  3. Pendrush

    Pendrush Well-Known Member Licensed User

    Yes, more or less same error with iCore only.
    End of error:
     
    Last edited: Jan 17, 2018
  4. Erel

    Erel Administrator Staff Member Licensed User

    I see. Since the move of the hosted builders to Xcode 9 all libraries are compiled with Xcode 9. There are other issues with libraries compiled with Xcode 8 and projects compiled with Xcode 9.

    You will need to update to Xcode 9 or use the hosted builder (or downgrade to B4i v4.4).
     
    Pendrush likes this.
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice